Log message #4190097

# At Username Text
# Jun 19th, 12:24 conehead Yes it is a good alternative. Imho docker on windows is like 5x slower than xampp
# Jun 19th, 12:24 ricksaccous i prefer vagrant personally
# Jun 19th, 12:22 olanowsubomi but would docker be a good alternative for such work because im getting to know it for the first time?
# Jun 19th, 12:21 olanowsubomi ok thanks
# Jun 19th, 12:21 conehead 7.3.0 is still on 32 bit
# Jun 19th, 12:20 conehead https://sourceforge.net/projects/xampp/files/XAMPP%20Windows/7.3.0/
# Jun 19th, 12:20 conehead Well...
# Jun 19th, 12:19 olanowsubomi because it wont do me any good if cake just install n not run
# Jun 19th, 12:18 olanowsubomi ?
# Jun 19th, 12:18 olanowsubomi please, i would have prefer xammp but there is no version for 32bit window or do u know any
# Jun 19th, 12:16 conehead This should at least install the app. But probably it wont run
# Jun 19th, 12:16 conehead for now this is not an cakephp error. composer won't let install you. Probably because the extension needs to be installed in IIS. you can try to run this `composer create-project --prefer-dist cakephp/app my_app_name --ignore-platform-reqs`
# Jun 19th, 12:13 olanowsubomi iis
# Jun 19th, 12:13 conehead what are you using to run php files? xampp? docker?
# Jun 19th, 12:11 slackebot1 before both extension=mbstring and extension=intl in both php.ini files for those extensions to work for cakephp downloading. i would appreciate it if my message is being considered and responded to in good time. Thanks for your patience. .
# Jun 19th, 12:11 slackebot1 SSL/TLC protection but is not available if you can not enable the open ssl extension; you can disable this error, at your own risk, by setting the disable 'disable-tls' option to true. ...' please i dont understand what all this above means but i have attached a copy of both my php.ini development and production file for you to see, though i have made some earlier adjustment to it based on the information i got that i would need to remove the ';'
# Jun 19th, 12:11 olanowsubomi Hi, please can you do a code review and send me an email at olanowsubomi@gmail.com, i am having issue to download cakephp on window 7 32bit let me explain to you that i have successfully downloaded the composer but by typing this ' composer create-project --prefer-dist cakephp/app my_app_name' into it to download cakephp, it is bringing this below: '... [ Composer\Exception\NoSs1Exception] The open ssl extension is required for
# Jun 19th, 11:54 khalid apiApplicationModules belongs to apiModules
# Jun 19th, 11:53 khalid and I am not talking about Saving data I want data to process/calcuate
# Jun 19th, 11:53 khalid you see I have api_module_id = 2 what I want is rest of data against it.
# Jun 19th, 11:52 slackebot1 '[errors]' => [], '[invalid]' => [], '[repository]' => 'ApiApplicationModules' }
# Jun 19th, 11:52 slackebot1 'api_application_module_templates' => true, 'api_request_parameters' => true, 'cron_jobs' => true ], '[dirty]' => [ 'api_application_id' => true, 'api_module_id' => true, 'api_operation_type_id' => true, 'api_request_url' => true, 'cron_job_frequency_option_id' => true, 'cron_job_frequency' => true, 'pagination_max_size' => true, 'api_auth_type_id' => true ], '[original]' => [], '[virtual]' => [], '[hasErrors]' => false,
# Jun 19th, 11:52 slackebot1 'api_application_id' => true, 'api_module_id' => true, 'api_operation_type_id' => true, 'created' => true, 'modified' => true, 'api_request_url' => true, 'cron_job_frequency_option_id' => true, 'cron_job_frequency' => true, 'pagination_max_size' => true, 'api_auth_type_id' => true, 'api_application' => true, 'api_module' => true, 'api_operation_type' => true, 'cron_job_frequency_option' => true,
# Jun 19th, 11:52 khalid and output is: object(App\Model\Entity\ApiApplicationModule) { 'api_application_id' => (int) 2, 'api_module_id' => (int) 2, 'api_operation_type_id' => (int) 4, 'api_request_url' => '/{apiVersion}/{baseStoreUid}/vendor/{vendorCode}/orders', 'cron_job_frequency_option_id' => (int) 1, 'cron_job_frequency' => (int) 4, 'pagination_max_size' => (int) 2, 'api_auth_type_id' => (int) 1, '[new]' => true, '[accessible]' => [
# Jun 19th, 11:52 khalid $apiApplicationModule = $this->ApiApplicationModules->newEntity(); $apiApplicationModule = $this->ApiApplicationModules->patchEntity($apiApplicationModule, $this->getRequest()->getData(), [ 'associated' => ['ApiModules'] ]); debug($apiApplicationModule); debug($this->getRequest()->getData());
# Jun 19th, 11:51 khalid sorry for typo yes let me put exact code
# Jun 19th, 11:47 admad if `ModuleRequests` belongsTo `Module` then the associated property name should be `module` not `modules`.
# Jun 19th, 11:45 khalid any suggestions
# Jun 19th, 11:45 khalid when I am debugging it, it is telling me modules is accessible but I don't have it in Object data
# Jun 19th, 11:44 khalid code I tried looks something like this: $moduleRequests = $this->ModuleRequests->newEntity(); $moduleRequests = $this->ModuleRequests->patchEntity($moduleRequests, $this->getRequest()->getData(), [ 'associated' => ['Modules'] ]);
# Jun 19th, 11:42 khalid is it possible?
# Jun 19th, 11:42 khalid hi guys, I have a use case, when I am patching a new entity it need data from Association e.g I have a Model Modules and one module can have many ModuleRequests now when I am patching new ModelRequest I want to get Specific Module data without having to call another finder with get
# Jun 19th, 10:14 snake-venom how to resolve ?
# Jun 19th, 10:14 snake-venom but still same error..
# Jun 19th, 10:14 snake-venom find . -type f -exec chmod -R 644 {} \;
# Jun 19th, 10:14 snake-venom find . -type d -exec chmod -R 755 {} \;
# Jun 19th, 10:14 snake-venom [Wed Jun 19 10:11:41.803844 2019] [:error] [pid 16147:tid 140337519523584] [client 157.36.216.136:54814] SoftException in Application.cpp:569: Directory "/home/web01/public_html/projects/app" is writeable by group"
# Jun 19th, 10:14 snake-venom to solve this error "
# Jun 19th, 10:14 snake-venom hello
# Jun 19th, 09:34 peppejaripappalardo Hello to everybody, someone can help me? I have this issue: i have installed muffin/trash plugin. But in my case i've loaded it into the bootstrap.php with Plugin::load('Muffin/Trash'); but i get this error: Error: The application is trying to load a file from the Muffin/Trash plugin. Make sure your plugin Muffin/Trash is in the /var/www/jixel/plugins/ directory and was loaded.
# Jun 19th, 09:28 madbbb what is the best practice to check entity for associated data before delete on cake 3.5?